Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Interface IServiceProperties

All Superinterfaces:
  `AttachmentProperties`, `BaseProperties`, `IAttachProperties<IServiceProperties>`, `ServiceConnectionProperties`

All Known Implementing Classes:
  `FbImmutableServiceProperties`, `FbServiceProperties`

public interface IServiceProperties extends IAttachProperties<IServiceProperties>, ServiceConnectionProperties
Connection properties for a Firebird service attachment.

Since:
  3.0
Author:
  Mark Rotteveel

- ## Field Summary

  ### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

  `DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IServiceProperties`
  `asImmutable()`
  `IServiceProperties`
  `asNewMutable()`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

  `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEnableProtocol, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSocketFactory, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEnableProtocol, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSocketFactory, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

  `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

  ### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

  `getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.ServiceConnectionProperties

  `getExpectedDb, getServiceName, setExpectedDb, setServiceName`

- ## Method Details

  - ### asImmutable

    IServiceProperties asImmutable()
    Specified by:
      `asImmutable` in interface `IAttachProperties<IServiceProperties>`
    Returns:
      An immutable version of this instance as an implementation of `IServiceProperties`

  - ### asNewMutable

    IServiceProperties asNewMutable()
    Specified by:
      `asNewMutable` in interface `IAttachProperties<IServiceProperties>`
    Returns:
      A new, mutable, instance as an implementation of `IServiceProperties` with all properties copied.